Subject: Re: bug#53207: 28.0.91; create-lockfiles nil breaks file change detection

From: Eli Zaretskii <[email-masked]>
Date: Fri, 28 Jan 2022 16:30:29 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],  [email-masked]
> Date: Fri, 28 Jan 2022 14:42:19 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Lars, what shall we do about this bug report?  Should we document the
> > current behavior, or should we move the call to
> > userlock--ask-user-about-supersession-threat out of Flock_file?  This
> > should be resolved before the next pretest, I think.
> 
> I think we should restore the old behaviour, so that setting
> create-lockfiles to nil doesn't break file change detection.  I think
> that means that we have to move
> userlock--ask-user-about-supersession-threat out of Flock_file, yes.

Michael, could you please suggest a patch along these lines?  The
changeset which moved userlock--ask-user-about-supersession-threat
into Flock_file and put that under the create-lockfiles condition was
your change to support locking remote files.